# Uses of Interface
java.lang.module.ModuleReader

Packages that use ModuleReader
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleReader in java.lang.module

Methods in java.lang.module that return ModuleReader
Modifier and Type
Method
Description
`abstract ModuleReader`
ModuleReference.`open()`
Opens the module content for reading.